package edu.mit.ll.group43.surfaceoptimization.input;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

/**
 * Interface for classes that read in aircraft data from files. This
 * abstraction is provided to allow different forms of input, if
 * required or more convenient.
 * 
 * @author William Hawkins
 *
 */
public interface FCFSReader {

	/**
	 * Returns the next Aircraft object created from reading the
	 * data file. Returns null when the end of the file has
	 * been reached.
	 * 
	 * @return
	 */
	Aircraft nextAircraft();
}
