package edu.mit.ll.group43.surfaceoptimization.aircraft;

import java.io.FileNotFoundException;

import junit.framework.TestCase;

import org.junit.Before;
import org.junit.Test;

import edu.mit.ll.group43.surfaceoptimization.aircraft.MinimumSeparationCalculator.ActionType;

public class TestDefaultDepartureMinimumSeparationCalculator extends TestCase {

	private DefaultDepartureMinimumSeparationCalculator calc;
	
	@Override
	@Before
	public void setUp() {
		try {
			calc = DefaultDepartureMinimumSeparationCalculator.getInstance();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}
	
	@Test
	public void testValues() {
		assertEquals(60, calc.getSeparation(DefaultWeightClass.LARGE, ActionType.DEPARTURE,
				DefaultWeightClass.HEAVY, ActionType.DEPARTURE));
		assertEquals(60, calc.getSeparation(DefaultWeightClass.SMALL, ActionType.DEPARTURE,
				DefaultWeightClass.B757, ActionType.DEPARTURE));
		assertEquals(90, calc.getSeparation(DefaultWeightClass.B757, ActionType.DEPARTURE,
				DefaultWeightClass.HEAVY, ActionType.DEPARTURE));
		assertEquals(60, calc.getSeparation(DefaultWeightClass.LARGE, ActionType.DEPARTURE,
				DefaultWeightClass.LARGE, ActionType.DEPARTURE));
	}
}
